// Clears the resize options
function ssClear()
{
        window.opener.ssGlobals['custom']['name'] = null;
        window.opener.ssGlobals['custom']['test'] = null;
        window.opener.ssGlobals['custom']['find'] = null;
	return true;
}


function init() {

    const stringBundle = document.getElementById("searchsynchronizer-string-bundle");

    // If the first argument equals add
    if(window.arguments[0] == "new")
    {
        document.title = stringBundle.getString("searchsynchronizer-addTitle");
    }
    else
    {
        document.title = stringBundle.getString("searchsynchronizer-editTitle");

        document.getElementById("searchsynchronizer.custom.name").value = window.arguments[1];
        document.getElementById("searchsynchronizer.custom.test").value = window.arguments[2];
        document.getElementById("searchsynchronizer.custom.find").value = window.arguments[3];
    }
}

// Saves the resize option
function ssSave()
{
    const name  = document.getElementById("searchsynchronizer.custom.name").value;
    const test       = document.getElementById("searchsynchronizer.custom.test").value;
    const stringBundle = document.getElementById("searchsynchronizer-string-bundle");
    const find       = document.getElementById("searchsynchronizer.custom.find").value;

    var errors = "";

    // If the description is empty
    if(!name)
    {
        errors += stringBundle.getString("searchsynchronizer-noname") + "\n";
    }

    // If the width is empty or not a number or less than zero
    if(!test)
    {
        errors += stringBundle.getString("searchsynchronizer-notestregex") + "\n";
    }

    // If the height is empty or not a number or less than zero
    if(!find)
    {
        errors += stringBundle.getString("searchsynchronizer-nofindregex") + "\n";
    }

    // If there are errors
    if(errors)
    {
        alert(errors.trim());

        return false;
    }
    else
    {
        window.opener.ssGlobals['custom']['name'] = name;
        window.opener.ssGlobals['custom']['test'] = test;
        window.opener.ssGlobals['custom']['find'] = find;

        return true;
    }
}
